Servers — Docs - Rocketeers app

  [ Rocketeers ](/)   

[Login](https://rocketeersapp.com/login) 

  Documentation menu   

On this page

 [Docs](https://rocketeersapp.com/docs) / [Using the API](https://rocketeersapp.com/docs/api)

    Copy as Markdown 

Servers
=======

List the servers belonging to a team.

1. [Endpoint](#content-endpoint)
2. [Query parameters](#content-query-parameters)
3. [Example request](#content-example-request)
4. [Example response](#content-example-response)

Returns the servers belonging to a team.

[\#](#content-endpoint "Permalink")Endpoint
-------------------------------------------

 ```
GET /api/{team}/servers

```

Required ability: `servers:read`

[\#](#content-query-parameters "Permalink")Query parameters
-----------------------------------------------------------

 Parameter Type Default Maximum Description  `per_page` integer 20 50 Number of objects per page. `page` integer 1 N/A The page to retrieve.[\#](#content-example-request "Permalink")Example request
---------------------------------------------------------

 ```
curl "https://rocketeersapp.com/api/your-team/servers?per_page=20" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Accept: application/json"

```

[\#](#content-example-response "Permalink")Example response
-----------------------------------------------------------

 ```
{
  "data": [
    {
      "id": 1,
      "name": "web-1",
      "slug": "web-1",
      "ip": "203.0.113.10",
      "provider_slug": "digitalocean",
      "server_type": "app",
      "status": "active",
      "region": "ams3",
      "price": 24.00,
      "created_at": "2026-01-15T09:30:00+00:00"
    },
    {
      "id": 2,
      "name": "db-1",
      "slug": "db-1",
      "ip": "203.0.113.20",
      "provider_slug": "hetzner",
      "server_type": "database",
      "status": "active",
      "region": "nbg1",
      "price": 18.50,
      "created_at": "2026-01-15T09:32:00+00:00"
    }
  ],
  "links": {
    "first": "https://rocketeersapp.com/api/your-team/servers?page=1",
    "last": "https://rocketeersapp.com/api/your-team/servers?page=2",
    "prev": null,
    "next": "https://rocketeersapp.com/api/your-team/servers?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 2,
    "per_page": 20,
    "to": 20,
    "total": 27,
    "path": "https://rocketeersapp.com/api/your-team/servers"
  },
  "results": 20,
  "served_in": "13.42ms"
}

```

[ Previous  Finances](https://rocketeersapp.com/docs/api/finances) [ Next   Sites](https://rocketeersapp.com/docs/api/sites)
